FROM docker.io/library/golang:latest AS build
COPY . /go/src/git.callpipe.com/entanglement.garden/rhyzome-api
WORKDIR /go/src/git.callpipe.com/entanglement.garden/rhyzome-api
RUN CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build ./cmd/rhyzome-api
RUN CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build ./cmd/rhyzome-grpc

FROM scratch
COPY --from=build /go/src/git.callpipe.com/entanglement.garden/rhyzome-api/rhyzome-api /rhyzome-api
COPY --from=build /go/src/git.callpipe.com/entanglement.garden/rhyzome-api/rhyzome-grpc /rhyzome-grpc
ENTRYPOINT ["/rhyzome-api"]
